std::numeric_limits< signed char > Struct Reference

`#include <limits>`

## Static Public Member Functions

static constexpr signed char | denorm_min () noexcept
static constexpr signed char | epsilon () noexcept
static constexpr signed char | infinity () noexcept
static constexpr signed char | lowest () noexcept
static constexpr signed char | max () noexcept
static constexpr signed char | min () noexcept
static constexpr signed char | quiet_NaN () noexcept
static constexpr signed char | round_error () noexcept
static constexpr signed char | signaling_NaN () noexcept

## Static Public Attributes

static constexpr int | digits
static constexpr int | digits10
static constexpr float_denorm_style | has_denorm
static constexpr bool | has_denorm_loss
static constexpr bool | has_infinity
static constexpr bool | has_quiet_NaN
static constexpr bool | has_signaling_NaN
static constexpr bool | is_bounded
static constexpr bool | is_exact
static constexpr bool | is_iec559
static constexpr bool | is_integer
static constexpr bool | is_modulo
static constexpr bool | is_signed
static constexpr bool | is_specialized
static constexpr int | max_digits10
static constexpr int | max_exponent
static constexpr int | max_exponent10
static constexpr int | min_exponent
static constexpr int | min_exponent10
static constexpr int | radix
static constexpr float_round_style | round_style
static constexpr bool | tinyness_before
static constexpr bool | traps

## Detailed Description

numeric_limits<signed char> specialization.

Definition at line 520 of file limits.

## Member Function Documentation

## denorm_min()

static constexpr signed char std::numeric_limits< signed char >::denorm_min | ( |  | ) |

inline static constexpr noexcept

Definition at line 575 of file limits.

## epsilon()

static constexpr signed char std::numeric_limits< signed char >::epsilon | ( |  | ) |

inline static constexpr noexcept

Definition at line 547 of file limits.

## infinity()

static constexpr signed char std::numeric_limits< signed char >::infinity | ( |  | ) |

inline static constexpr noexcept

Definition at line 565 of file limits.

## lowest()

static constexpr signed char std::numeric_limits< signed char >::lowest | ( |  | ) |

inline static constexpr noexcept

Definition at line 532 of file limits.

## max()

static constexpr signed char std::numeric_limits< signed char >::max | ( |  | ) |

inline static constexpr noexcept

Definition at line 528 of file limits.

## min()

static constexpr signed char std::numeric_limits< signed char >::min | ( |  | ) |

inline static constexpr noexcept

Definition at line 525 of file limits.

## quiet_NaN()

static constexpr signed char std::numeric_limits< signed char >::quiet_NaN | ( |  | ) |

inline static constexpr noexcept

Definition at line 568 of file limits.

## round_error()

static constexpr signed char std::numeric_limits< signed char >::round_error | ( |  | ) |

inline static constexpr noexcept

Definition at line 550 of file limits.

## signaling_NaN()

static constexpr signed char std::numeric_limits< signed char >::signaling_NaN | ( |  | ) |

inline static constexpr noexcept

Definition at line 571 of file limits.

## Member Data Documentation

## digits

constexpr int std::numeric_limits< signed char >::digits

static constexpr

Definition at line 535 of file limits.

## digits10

constexpr int std::numeric_limits< signed char >::digits10

static constexpr

Definition at line 536 of file limits.

## has_denorm

constexpr float_denorm_style std::numeric_limits< signed char >::has_denorm

static constexpr

Definition at line 560 of file limits.

## has_denorm_loss

constexpr bool std::numeric_limits< signed char >::has_denorm_loss

static constexpr

Definition at line 562 of file limits.

## has_infinity

constexpr bool std::numeric_limits< signed char >::has_infinity

static constexpr

Definition at line 557 of file limits.

## has_quiet_NaN

constexpr bool std::numeric_limits< signed char >::has_quiet_NaN

static constexpr

Definition at line 558 of file limits.

## has_signaling_NaN

constexpr bool std::numeric_limits< signed char >::has_signaling_NaN

static constexpr

Definition at line 559 of file limits.

## is_bounded

constexpr bool std::numeric_limits< signed char >::is_bounded

static constexpr

Definition at line 579 of file limits.

## is_exact

constexpr bool std::numeric_limits< signed char >::is_exact

static constexpr

Definition at line 543 of file limits.

## is_iec559

constexpr bool std::numeric_limits< signed char >::is_iec559

static constexpr

Definition at line 578 of file limits.

## is_integer

constexpr bool std::numeric_limits< signed char >::is_integer

static constexpr

Definition at line 542 of file limits.

## is_modulo

constexpr bool std::numeric_limits< signed char >::is_modulo

static constexpr

Definition at line 580 of file limits.

## is_signed

constexpr bool std::numeric_limits< signed char >::is_signed

static constexpr

Definition at line 541 of file limits.

## is_specialized

constexpr bool std::numeric_limits< signed char >::is_specialized

static constexpr

Definition at line 522 of file limits.

## max_digits10

constexpr int std::numeric_limits< signed char >::max_digits10

static constexpr

Definition at line 539 of file limits.

## max_exponent

constexpr int std::numeric_limits< signed char >::max_exponent

static constexpr

Definition at line 554 of file limits.

## max_exponent10

constexpr int std::numeric_limits< signed char >::max_exponent10

static constexpr

Definition at line 555 of file limits.

## min_exponent

constexpr int std::numeric_limits< signed char >::min_exponent

static constexpr

Definition at line 552 of file limits.

## min_exponent10

constexpr int std::numeric_limits< signed char >::min_exponent10

static constexpr

Definition at line 553 of file limits.

## radix

constexpr int std::numeric_limits< signed char >::radix

static constexpr

Definition at line 544 of file limits.

## round_style

constexpr float_round_style std::numeric_limits< signed char >::round_style

static constexpr

Definition at line 584 of file limits.

## tinyness_before

constexpr bool std::numeric_limits< signed char >::tinyness_before

static constexpr

Definition at line 583 of file limits.

## traps

constexpr bool std::numeric_limits< signed char >::traps

static constexpr

Definition at line 582 of file limits.

The documentation for this struct was generated from the following file:

- limits